﻿using System.Windows;

namespace HierarchicalGrid
{
    using System.Text;

    using HierarchicalGrid.ViewModel;

    using Infragistics.Windows.DataPresenter;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
            this.EmployeeGrid.FieldLayoutInitialized += this.OnFieldLayoutInitialized;
        }

        void OnFieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            //string xaml = GetXamlForFieldLayout(e.FieldLayout);
            //MessageBox.Show(xaml);
        }

        static string GetXamlForFieldLayout(FieldLayout fieldLayout)
        {
            var buffer = new StringBuilder();

            buffer.AppendLine("<igDP:FieldLayout>");
            buffer.AppendLine("  <igDP:FieldLayout.Fields>");

            foreach (Field field in fieldLayout.Fields)
            {
                if (field.IsExpandableResolved == false)
                {
                    buffer.AppendFormat("    <igDP:Field Name=\"{0}\" />", field.Name);
                    buffer.AppendLine();
                }
            }

            buffer.AppendLine("  </igDP:FieldLayout.Fields>");
            buffer.Append("</igDP:FieldLayout>");

            return buffer.ToString();
        }
        int count = 0;
        private void EmployeeGrid_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            XamDataGrid xg = sender as XamDataGrid;
            e.FieldLayout = xg.FieldLayouts[count];
            if (count < 1)
                count++;
        }
    }
}
    